### Function

# Nautilus FileInfo lookup_for_uri

#### Declaration [src]

    NautilusFileInfo*
    nautilus_file_info_lookup_for_uri (
      const char* uri
    )

#### Description [src]

Get an existing `NautilusFileInfo` or `NULL` if it does not exist in the application cache.

#### Parameters

`uri`

  Type: `const char*`

  The URI to lookup the file info for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `NautilusFileInfo`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.